Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SceneFramework Class Reference

シーンフレームワーク More...

`#include <SceneFramework.h>`

Inheritance diagram for Lamp::SceneFramework:

List of all members.

## Public Member Functions
| SceneFramework (const String &name)
| コンストラクタ
virtual | ~SceneFramework ()
| デストラクタ
virtual bool | loadScene (const String &sceneName)
| シーンのロード
## Protected Member Functions
virtual bool | frameworkInitialize (HINSTANCE instanceHandle)
| フレームワークの初期化
virtual void | frameworkFinalize ()
| フレームワークの後始末
virtual void | frameworkRun ()
| フレームワーク実行
virtual void | frameworkRenderSetup ()
| フレームワークレンダリング準備
virtual void | frameworkRender ()
| フレームワークレンダリング
virtual void | clearScene ()
| シーンのクリア
## Protected Attributes
Renderer * | renderer_
| レンダラ
InformationRenderer * | informationRenderer_
| インフォメーションレンダラ
String | sceneName_
| シーン名
Scene * | scene_
| シーン
Camera * | camera_
| カメラ
PS2PadCameraController * | cameraController_
| カメラコントローラ
AnimationManager * | animationManager_
| アニメーションマネージャ
Animation * | animation_
| アニメーション
int | runCount_
| 実行回数
PS2Pad * | pad_
| パッド

## Detailed Description

シーンフレームワーク

Definition at line 45 of file SceneFramework.h.

## Constructor & Destructor Documentation

Lamp::SceneFramework::SceneFramework | ( | const String & | name | ) |

  | コンストラクタ ウィンドウや列挙の初期化を行う Parameters:
  name | アプリケーション名
Definition at line 50 of file SceneFramework.cpp. References NULL.

## Member Function Documentation

bool Lamp::SceneFramework::frameworkInitialize | ( | HINSTANCE | instanceHandle | ) | `[protected, virtual]`

  | フレームワークの初期化 Parameters:
  instanceHandle | インスタンスハンドル
Returns: 初期化に成功すればtrueを返す Reimplemented from Lamp::SimpleFramework. Definition at line 61 of file SceneFramework.cpp. References animationManager_, camera_, cameraController_, Lamp::CameraManager::createCamera(), Lamp::Scene::getCameraManager(), informationRenderer_, Lamp::SimpleFramework::name_, pad_, renderer_, scene_, Lamp::PS2PadCameraController::searchJoystick(), Lamp::PS2PadCameraController::setCamera(), and Lamp::Scene::setCurrentCamera().

bool Lamp::SceneFramework::loadScene | ( | const String & | sceneName | ) | `[virtual]`

  | シーンのロード Parameters:
  sceneName | シーン名
Returns: 成功すればtrue Definition at line 155 of file SceneFramework.cpp. References animation_, animationManager_, Lamp::SimpleFramework::backGroundColor_, Lamp::Animation::bind(), camera_, cameraController_, Lamp::AnimationManager::clear(), clearScene(), Lamp::FilePath::existFile(), Lamp::SceneObjectManagerTemplate< MeshData >::get(), Lamp::MeshData::getBoundingSphere(), Lamp::Fog::getColor(), Lamp::SceneObjectManagerTemplate< MeshData >::getCount(), Lamp::FilePath::getExtension(), Lamp::Scene::getFog(), Lamp::Scene::getMeshDataManager(), Lamp::FilePath::getName(), Lamp::FilePath::getPath(), Lamp::Sphere::getRadius(), Lamp::String::getSize(), Lamp::String::getSubstring(), Lamp::BinaryAnimationLoader::load(), Lamp::TextAnimationLoader::load(), Lamp::BinarySceneLoader::load(), Lamp::TextSceneLoader::load(), NULL, scene_, sceneName_, Lamp::AnimationManager::search(), Lamp::FilePath::setPath(), Lamp::Camera::setTransformation(), and Lamp::PS2PadCameraController::setTranslationSensibility().

The documentation for this class was generated from the following files:

- SceneFramework.h
- SceneFramework.cpp